diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.api.php b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.api.php
index 51587090..12aa08f1 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.api.php
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.api.php
@@ -2,38 +2,34 @@
 
 /**
  * @file
- * Hooks provided by ldap_servers module
+ * Hooks provided by ldap_servers module.
  */
 
 /**
  * Allows other modules to periodically affect an ldap associated user
  * or its corresponding ldap entry.
  *
- * when cron runs a batch of ldap associated drupal accounts
+ * When cron runs a batch of ldap associated drupal accounts
  * will be looked at and marked as tested.  over the course
- * of time all ldap related users will be looked at
+ * of time all ldap related users will be looked at.
  *
  * Each module implementing this hook is responsible for
  * altering ldap entries and drupal user objects; simply
  * altering the variables will have no affect on the actual
  * ldap entry or drupal user
  */
-
 function hook_ldap_servers_user_cron(&$users) {
 
-
-
 }
 
 /**
- * helper hook to see if a batch of ldap users
- * needs to be queried
+ * Helper hook to see if a batch of ldap users
+ * needs to be queried.
  *
- * if a module implements hook_ldap_servers_user_cron,
+ * If a module implements hook_ldap_servers_user_cron,
  * but currently does not need to process user cron batches,
- * it should return FALSE
+ * it should return FALSE.
  */
-
 function hook_ldap_servers_user_cron_needed() {
   return TRUE;
 }
@@ -41,46 +37,42 @@ function hook_ldap_servers_user_cron_needed() {
 /**
  * Allows other modules to alter ldap entry or perform other necessary
  *   LDAP operations before entires are provisioned.
- * This should be invoked before provisioning ldap entries
+ * This should be invoked before provisioning ldap entries.
  *
- * @param array $ldap_entries as array keyed on lowercase dn of entry with
+ * @param array $ldap_entries
+ *   as array keyed on lowercase dn of entry with
  *   value of array in format used in ldap_add or ldap_modify function
  *   e.g.
  *   $ldap_entries['cn=jkool,ou=guest accounts,dc=ad,dc=myuniversity,dc=edu'] = array(
  *    "attribute1" => array("value"),
  *    "attribute2" => array("value1", "value2"),
- *  );
+ *   );.
  *
- * @param LdapServer $ldap_server as ldap server configuration object that is
- *   performing provisioning
+ * @param LdapServer $ldap_server
+ *   as ldap server configuration object that is
+ *   performing provisioning.
  *
- * @param array $context with the following key/values:
+ * @param array $context
+ *   with the following key/values:
  *   'action' => add|modify|delete
  *
  *   'corresponding_drupal_data' => if ldap entries have corresponding drupal objects, such
  *     as ldap user entries and drupal user objects; ldap groups and drupal roles; etc
- *     this will be array keyed on lowercase dn with values of objects
- *     e.g.
- *     $context['corresponding_drupal_data'] = array(
+ *     this will be array keyed on lowercase dn with values of objects, e.g. :
+ *     [
  *      'cn=jkool,ou=guest accounts,dc=ad,dc=myuniversity,dc=edu' => drupal user object1,
- *      'cn=jfun,ou=guest accounts,dc=ad,dc=myuniversity,dc=edu'  => drupal user object2,
- *     )
- *
+ *      'cn=jfun,ou=guest accounts,dc=ad,dc=myuniversity,dc=edu  => drupal user object2,
+ *     ]
  *    'corresponding_drupal_data_type' => 'user', 'role', etc.
- *
- *  );
  */
-
 function hook_ldap_entry_pre_provision_alter(&$ldap_entries, $ldap_server, $context) {
 
-
-
 }
 
 /**
  * Allows modules to react to provisioning of ldap entries.
  *
- * This should be invoked after provisioning ldap entries
+ * This should be invoked after provisioning ldap entries.
  *
  * -- same signature as hook_ldap_entry_pre_provision_alter with ldap entries not passed by reference
  * -- ldap entries are not queried after provisioning, so $ldap_entries are in form
@@ -89,20 +81,15 @@ function hook_ldap_entry_pre_provision_alter(&$ldap_entries, $ldap_server, $cont
  *    $context['provisioned_ldap_entries][<dn>] => ldap entry array in format of an ldap query
  *    returned from ldap_get_entries() with 'count' keys
  */
-
 function hook_ldap_entry_post_provision(&$ldap_entries, $ldap_server, $context) {
 
-
-
 }
 
-
-
 /**
  * Perform alterations of ldap attributes before query is made.
  *
  * To avoid excessive attributes in an ldap query, modules should
- * alter attributes needed based on $op parameter
+ * alter attributes needed based on $op parameter.
  *
  * @param array $attributes
  *   array of attributes to be returned from ldap queries where:
@@ -111,16 +98,17 @@ function hook_ldap_entry_post_provision(&$ldap_entries, $ldap_server, $context)
  *       - 'conversion' => NULL,
  *       - 'values' => array(0 => 'john', 1 => 'johnny'))
  *
- * @param array $params context array with some or all of the following key/values
+ * @param array $params
+ *   context array with some or all of the following key/values
  *   'sid' => drupal account object,
  *   'ldap_context' => ,
- *   'direction' =>
- *
+ *   'direction' =>.
  */
 function hook_ldap_attributes_needed_alter(&$attributes, $params) {
 
-  $attributes['dn'] = ldap_servers_set_attribute_map(@$attributes['dn'], 'ldap_dn') ;
-  if ($params['sid']) { // puid attributes are server specific
+  $attributes['dn'] = ldap_servers_set_attribute_map(@$attributes['dn'], 'ldap_dn');
+  // Puid attributes are server specific.
+  if ($params['sid']) {
     $ldap_server = (is_object($params['sid'])) ? $params['sid'] : ldap_servers_get_servers($params['sid'], 'enabled', TRUE);
 
     switch ($op) {
@@ -132,45 +120,42 @@ function hook_ldap_attributes_needed_alter(&$attributes, $params) {
           $attributes[$ldap_server->user_attr] = ldap_servers_set_attribute_map();
         }
         if (!isset($attributes[$ldap_server->mail_attr])) {
-          $attributes[$ldap_server->mail_attr] = ldap_servers_set_attribute_map(); // set default values for an attribute, force data_type
+          // Set default values for an attribute, force data_type.
+          $attributes[$ldap_server->mail_attr] = ldap_servers_set_attribute_map();
         }
 
         ldap_servers_token_extract_attributes($attributes, $ldap_server_obj->mail_template);
         $attributes[$ldap_server->unique_persistent_attr] = ldap_servers_set_attribute_map(@$attributes[$ldap_server->unique_persistent_attr]);
 
-      break;
+        break;
     }
   }
 }
 
-
 /**
  * Perform alterations of $ldap_user variable.
  *
- *
- * @param array $ldap_user see README.developers.txt for structure
- * @param array $params context array with some or all of the following key/values
+ * @param array $ldap_user
+ *   see README.developers.txt for structure.
+ * @param array $params
+ *   context array with some or all of the following key/values
  *   'account' => drupal account object,
  *   'ldap_context' => ,
  *   'module' =>  module calling alter, e.g. 'ldap_user',
- *   'function' => function calling alter, e.g. 'provisionLdapEntry'
- *
+ *   'function' => function calling alter, e.g. 'provisionLdapEntry'.
  */
-
 function hook_ldap_user_alter(&$ldap_entry, $params) {
 
-
 }
 
 /**
  * Allow the results from the ldap search answer to be modified
  * The query parameters are provided as context infomation
  * (readonly)
- *
  */
 function hook_ldap_server_search_results_alter(&$entries, $ldap_query_params) {
-  // look for a specific part of the $results array
-  // and maybe change it
+  // Look for a specific part of the $results array
+  // and maybe change it.
 }
 
 /**
@@ -187,7 +172,7 @@ function hook_ldap_server_search_results_alter(&$entries, $ldap_query_params) {
  *   - ldap_server: The LDAP server that is invoking the hook
  */
 function hook_user_ldap_servers_username_to_ldapname_alter(&$ldap_username, $drupal_username, $context) {
-  // Alter the name only if it has not been altered already, ie php eval code
+  // Alter the name only if it has not been altered already, ie php eval code.
   if ($ldap_username == $drupal_username) {
     $authname = ldap_user_get_authname($ldap_username);
     if (!empty($authname)) {
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.drush.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.drush.inc
index 1527af0f..c25f848d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.drush.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.drush.inc
@@ -2,7 +2,7 @@
 
 /**
  * @file
- *   LDAP module drush integration.
+ * LDAP module drush integration.
  */
 
 /**
@@ -14,27 +14,29 @@
  * @see drush_parse_command()
  */
 function ldap_servers_drush_command() {
-  $items['ldap-servers-set-password'] = array(
+  $items['ldap-servers-set-password'] = [
     'description' => 'Set the password of an otherwise already configured LDAP server.',
-    'aliases' => array('lssp'),
-    'arguments' => array(
-      'ldap_sid' => 'The configured LDAP server ID.'
-    ),
-    'options' => array(
-      'password' => 'The password to set for the server.'
-    ),
-    'examples' => array(
+    'aliases' => ['lssp'],
+    'arguments' => [
+      'ldap_sid' => 'The configured LDAP server ID.',
+    ],
+    'options' => [
+      'password' => 'The password to set for the server.',
+    ],
+    'examples' => [
       'drush lssp LDAP_SERVER_ID --password="PASSWORD"' => 'Sets the password for LDAP_SERVER_ID. Replace LDAP_SERVER_ID with the "Machine name for this configuration." of
         the server found at /admin/config/people/ldap/servers, and replace PASSWORD with your password.',
-    ),
-  );
+    ],
+  ];
   return $items;
 }
 
 /**
  * Callback for the ldap-servers-set-password command.
  *
- * @param string $ldap_sid The server ID for which to set the password.
+ * @param string $ldap_sid
+ *   The server ID for which to set the password.
+ *
  * @option string --password Used to provide the password via an option in the Drush command.
  *
  * @return
@@ -52,14 +54,14 @@ function drush_ldap_servers_set_password($ldap_sid = NULL) {
     // Retrieves the password from the --password option set in the drush command.
     $ldap_server->bindpw = drush_get_option('password');
     if (!isset($ldap_server->bindpw)) {
-      return drupal_set_message(dt('No password was provided for @ldap_sid. A password has not been set.', array('@ldap_sid' => $ldap_sid)));
+      return drupal_set_message(dt('No password was provided for @ldap_sid. A password has not been set.', ['@ldap_sid' => $ldap_sid]));
     }
     // Save the server configuration with the password.
     $ldap_server->save('edit');
     // Notify of success.
-    return drupal_set_message(dt('Password for @ldap_sid has been set.', array('@ldap_sid' => $ldap_sid)));
+    return drupal_set_message(dt('Password for @ldap_sid has been set.', ['@ldap_sid' => $ldap_sid]));
   }
   // Provided server ID does not match any of the existing server IDs.
   return drush_set_error(dt('@ldap_sid does not match the server ID of any configured servers.  Use the "Machine name for this server configuration." found on the edit screen for that server.',
-    array('@ldap_sid' => $ldap_sid)));
+    ['@ldap_sid' => $ldap_sid]));
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.encryption.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.encryption.inc
index f3c34f62..ba3f4faa 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.encryption.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.encryption.inc
@@ -3,195 +3,97 @@
 /**
  * @file
  * Provides functions for encryption/decryption.
- * http://stackoverflow.com/questions/2448256/php-mcrypt-encrypting-decrypting-file
  */
 
-define('LDAP_SERVERS_MODE', 'CTR');
 /**
- * Return a random salt of a given length for crypt-style passwords
+ * Return a random salt of a given length for crypt-style passwords.
  *
  * @param int length
  *   The requested length.
  *
  * @return string
  *   A (fairly) random salt of the requested length.
- *
  */
-function ldap_servers_random_salt( $length ) {
+function ldap_servers_random_salt($length) {
   $possible = '0123456789' . 'abcdefghijklmnopqrstuvwxyz' . 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' . './';
   $salt = "";
 
-  mt_srand((double)microtime() * 1000000);
-  while ( strlen( $salt ) < $length ) {
-    $salt .= substr( $possible, ( rand() % strlen( $possible ) ), 1 );
+  mt_srand((double) microtime() * 1000000);
+  while (strlen($salt) < $length) {
+    $salt .= substr($possible, (rand() % strlen($possible)), 1);
   }
 
   return $salt;
 }
 
+/**
+ * Encryption options available.
+ *
+ * @return array
+ *   Options.
+ */
+function _ldap_servers_encrypt_types() {
+  $options = [
+    LDAP_SERVERS_ENC_TYPE_CLEARTEXT => 'Clear text',
+  ];
 
-function _ldap_servers_encrypt_types($type = 'all') {
-
-  $hashes = array();
-  $encrypts = array();
-  if (extension_loaded('mcrypt')) {  // only support with extension
-
-    /**
-      LDAP_SERVERS_ENC_TYPE_MD5C => 'MD5 Crypt',
-      LDAP_SERVERS_ENC_TYPE_SALTED_MD5 => 'Salted MD5',
-      LDAP_SERVERS_ENC_TYPE_SHA => 'SHA',
-      LDAP_SERVERS_ENC_TYPE_SALTED_SHA => 'SHA Salted',
-    );
-    */
-
-   /** $encrypts = array(
-      LDAP_SERVERS_ENC_TYPE_EXTENDED_DES => 'Extended DES',
-      LDAP_SERVERS_ENC_TYPE_BLOWFISH => 'Blowfish',
-      LDAP_SERVERS_ENC_TYPE_SALTED_CRYPT => 'Salted Crypt',
-    ); */
-
-    $encrypts = array(
-      LDAP_SERVERS_ENC_TYPE_CLEARTEXT => 'No Encryption'
-    );
-    if (function_exists('mcrypt_module_open')) {
-      $encrypts[LDAP_SERVERS_ENC_TYPE_BLOWFISH] = 'Blowfish';
-    }
-
-  }
-
- // $hashes[LDAP_SERVERS_ENC_TYPE_MD5] = 'MD5';
-//  $encrypts[LDAP_SERVERS_ENC_TYPE_CRYPT] = 'Crypt';
-
-  if ($type == 'encrypt') {
-    return $encrypts;
-  }
-
-  if ($type == 'hash') {
-    return $hashes;
+  if (extension_loaded('openssl')) {
+    $options[LDAP_SERVERS_ENC_TYPE_OPENSSL] = 'OpenSSL';
   }
 
-  return array_merge($hashes, $encrypts);
-
-
+  return $options;
 }
+
 /**
- * Encrypt Password Method
+ * Encrypt string.
  *
- * @param string clear_txt
- *   Plaintext password.
+ * @param $input
+ *   Clear text.
+ * @param null $encryption_enabled
+ *   OpenSSL or clear text.
  *
  * @return string
- *   Encrypted text, formatted for use as an LDAP password.
- *
- * @link http://php.net/manual/en/function.mcrypt-generic-init.php
+ *   Plain or encrypted.
  */
-function _ldap_servers_encrypt_has_mcrypt_and_warn() {
-  if (!function_exists('mcrypt_module_open')) {
-    watchdog('ldap_servers', 'Encryption is set to blowfish, but mcrypt module in not installed', array(), WATCHDOG_ERROR);
-    return FALSE;
-  }
-  else {
-    return TRUE;
-  }
-}
+function _ldap_servers_encrypt($input, $encryption_enabled = NULL) {
 
-function _ldap_servers_encrypt($clear_txt, $enc_type = NULL) {
-
-  if (!$enc_type) {
-    $enc_type = variable_get('ldap_servers_encryption' , LDAP_SERVERS_ENC_TYPE_CLEARTEXT);
+  if (!$encryption_enabled) {
+    $encryption_enabled = variable_get('ldap_servers_encryption', LDAP_SERVERS_ENC_TYPE_CLEARTEXT);
   }
 
-  if ($enc_type == LDAP_SERVERS_ENC_TYPE_CLEARTEXT) {
-    return $clear_txt;
+  if ($encryption_enabled == LDAP_SERVERS_ENC_TYPE_CLEARTEXT) {
+    return $input;
   }
 
   $key = variable_get('ldap_servers_encrypt_key', drupal_get_hash_salt());
+  $iv = openssl_random_pseudo_bytes(openssl_cipher_iv_length(LDAP_SERVERS_CYPHER_MODE));
+  $encrypted_data = openssl_encrypt($input, LDAP_SERVERS_CYPHER_MODE, $key, 0, $iv);
 
-  switch ($enc_type) {
-
-    case LDAP_SERVERS_ENC_TYPE_BLOWFISH: // Blowfish
-        // Open mcrypt module.
-      if (_ldap_servers_encrypt_has_mcrypt_and_warn()) {
-        $td = mcrypt_module_open('blowfish', '', LDAP_SERVERS_CYPHER_MODE, '');
-        // Determine maximum mycrypt key length.
-        $key_length = mcrypt_enc_get_key_size($td);
-        // Shorten key to allowed length.
-        $key = substr($key, 0, $key_length);
-        // Create the initialization vector.
-        $iv = mcrypt_create_iv(mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
-        // Encrypt the text.
-        mcrypt_generic_init($td, $key, $iv);
-        $crypttext = mcrypt_generic($td, $clear_txt);
-        mcrypt_generic_deinit($td);
-        // Build the encrypted string.
-        $cipher_txt = $iv . $crypttext;
-        // Close the module.
-        mcrypt_module_close($td);
-      }
-      break;
-
-    default: // Cleartext
-      $cipher_txt = $clear_txt;
-  }
-
-  return base64_encode($cipher_txt);
+  return base64_encode($encrypted_data . '::' . $iv);
 }
 
 /**
- * Encrypt Decrypt Method
+ * Decrypt string.
  *
- * @param string $cipher_txt
- *   ciphered text.
+ * @param string $input
+ *   Clear text or encrypted text.
+ * @param null $encryption_enabled
+ *   OpenSSL or clear text.
  *
  * @return string
- *   clear text
- *
- * http://stackoverflow.com/questions/2448256/php-mcrypt-encrypting-decrypting-file
+ *   Clear text.
  */
+function _ldap_servers_decrypt($input, $encryption_enabled = NULL) {
 
-function _ldap_servers_decrypt($cipher_txt, $enc_type = NULL) {
-
-  $key = variable_get('ldap_servers_encrypt_key', drupal_get_hash_salt());
-  if (!$enc_type) {
-    $enc_type = variable_get('ldap_servers_encryption' , LDAP_SERVERS_ENC_TYPE_CLEARTEXT);
-  }
-  if ($enc_type == LDAP_SERVERS_ENC_TYPE_CLEARTEXT) {
-    return $cipher_txt;
+  if (!$encryption_enabled) {
+    $encryption_enabled = variable_get('ldap_servers_encryption', LDAP_SERVERS_ENC_TYPE_CLEARTEXT);
   }
 
-  $cipher_txt = base64_decode($cipher_txt);
-  switch ($enc_type) {
-
-    case LDAP_SERVERS_ENC_TYPE_BLOWFISH: // Blowfish
-      if (_ldap_servers_encrypt_has_mcrypt_and_warn()) {
-        $clear_txt = "";
-        // Open mcrypt module.
-        $td = mcrypt_module_open('blowfish', '', LDAP_SERVERS_CYPHER_MODE, '');
-        // Determine maximum mycrypt key length.
-        $key_length = mcrypt_enc_get_key_size($td);
-        // Shorten key to allowed length.
-        $key = substr($key, 0, $key_length);
-        // Determine the algorithm IV.
-        $ivsize = mcrypt_enc_get_iv_size($td);
-        // Process if the decoded cipher text is sufficient.
-        if (strlen($cipher_txt) > $ivsize) {
-          // Split apart IV and text.
-          $iv = substr($cipher_txt, 0, $ivsize);
-          $cipher_txt = substr($cipher_txt, $ivsize);
-          // If the IV exists, decrypt the text.
-          if ($iv) {
-            mcrypt_generic_init($td, $key, $iv);
-            $clear_txt = mdecrypt_generic($td, $cipher_txt);
-            mcrypt_generic_deinit($td);
-          }
-        }
-        // Close the module.
-        mcrypt_module_close($td);
-      }
-      break;
-
-    default: // Cleartext
-      $clear_txt = $cipher_txt;
+  if ($encryption_enabled == LDAP_SERVERS_ENC_TYPE_CLEARTEXT) {
+    return $input;
   }
-  return $clear_txt;
+
+  $key = variable_get('ldap_servers_encrypt_key', drupal_get_hash_salt());
+  list($encrypted_data, $iv) = explode('::', base64_decode($input), 2);
+  return openssl_decrypt($encrypted_data, LDAP_SERVERS_CYPHER_MODE, $key, 0, $iv);
 }
